## Makefile.am for folder file meta info plugin

INCLUDES         = $(all_includes)

# these are the headers for your project
noinst_HEADERS   = tdefile_%{APPNAMELC}.h

kde_module_LTLIBRARIES = tdefile_%{APPNAMELC}.la

tdefile_%{APPNAMELC}_la_SOURCES = tdefile_%{APPNAMELC}.cpp
tdefile_%{APPNAMELC}_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN) $(LIB_QT) $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEPARTS) $(LIB_TDEIO)
tdefile_%{APPNAMELC}_la_LIBADD = $(LIB_TDEIO)

# let automoc handle all of the meta source files ((moc))
METASOURCES = AUTO

services_DATA = tdefile_%{APPNAMELC}.desktop
servicesdir = $(kde_servicesdir)

messages: rc.cpp
	$(EXTRACTRC) `find . -name \*.ui -o -name \*.rc` > rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/tdefile_%{APPNAMELC}.pot
